GHSA-gpvv-69j7-gwj8

Suggest an improvement
Source
https://github.com/advisories/GHSA-gpvv-69j7-gwj8
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/06/GHSA-gpvv-69j7-gwj8/GHSA-gpvv-69j7-gwj8.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-gpvv-69j7-gwj8
Aliases
Published
2021-06-09T17:35:04Z
Modified
2024-02-19T05:37:29.895226Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N CVSS Calculator
Summary
Path Traversal in pip
Details

The pip package before 19.2 for Python allows Directory Traversal when a URL is given in an install command, because a Content-Disposition header can have ../ in a filename, as demonstrated by overwriting the /root/.ssh/authorizedkeys file. This occurs in _downloadhttp_url in _internal/download.py. A fix was committed 6704f2ace.

References

Affected packages

PyPI / pip

Package

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
19.2

Affected versions

0.*

0.2
0.2.1
0.3
0.3.1
0.4
0.5
0.5.1
0.6
0.6.1
0.6.2
0.6.3
0.7
0.7.1
0.7.2
0.8
0.8.1
0.8.2
0.8.3

1.*

1.0
1.0.1
1.0.2
1.1
1.2
1.2.1
1.3
1.3.1
1.4
1.4.1
1.5
1.5.1
1.5.2
1.5.3
1.5.4
1.5.5
1.5.6

6.*

6.0
6.0.1
6.0.2
6.0.3
6.0.4
6.0.5
6.0.6
6.0.7
6.0.8
6.1.0
6.1.1

7.*

7.0.0
7.0.1
7.0.2
7.0.3
7.1.0
7.1.1
7.1.2

8.*

8.0.0
8.0.1
8.0.2
8.0.3
8.1.0
8.1.1
8.1.2

9.*

9.0.0
9.0.1
9.0.2
9.0.3

10.*

10.0.0b1
10.0.0b2
10.0.0
10.0.1

18.*

18.0
18.1

19.*

19.0
19.0.1
19.0.2
19.0.3
19.1
19.1.1